@import "../../../../../../../styles/global/var";

slack-form {
    display: block;
}

.slack-form {
    max-width: 660px;
    margin: 46px auto 0;

    &__header {
        padding-bottom: 36px;
        margin-bottom: 20px;
        border-bottom: 1px solid $gray8be;

        &-content {
            display: flex;
            align-items: center;

            .md-button.md-icon-button {
                margin: 0 0 0 32px;
            }
        }

        &-warning {
            border-radius: 4px;
            background-color: $state-info-bg;
            padding: 8px 56px 8px 16px;
            position: relative;
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            color: $black;
            margin-top: 20px;

            .md-button.md-icon-button {
                margin: 0;
                position: absolute;
                right: 12px;
                top: 0;
            }
        }
    }

    &__note {
        margin: 20px 0;
        font-size: 14px;
        line-height: 24px;
        color: $gray57c;
        display: inline-block;
        width: 100%;
    }

    &__integration {
        &-type {
            flex: auto;
            &-select {
                display: flex;
                align-items: center;
            }
            &-option {
                margin: 0 40px 0 0;
                font-size: 14px;
                line-height: 24px;
                color: $black;
            }
        }
        &-actions {
            flex: none;
            margin-right: 0;
            margin-left: auto;

            .md-button.md-icon-button:not(._default-md-style) {
                .material-icons,
                md-icon {
                    color: $gray57c;
                }
                &:not([disabled]):hover {
                    .material-icons,
                    md-icon {
                        color: $black;
                    }
                }
                &:not([disabled])._enabled {
                    .material-icons,
                    md-icon {
                        color: $green-new;
                    }
                    &:hover {
                        .material-icons,
                        md-icon {
                            color: #008B41;
                        }
                    }
                }
                &[disabled] {
                    .material-icons,
                    md-icon {
                        color: $gray8be;
                    }
                }
            }
        }
    }

    md-input-container {
        margin: 20px 0;
        &:not(.chips-input-container).md-input-focused label:not(.md-no-float),
        &:not(.chips-input-container).md-input-has-placeholder label:not(.md-no-float),
        &:not(.chips-input-container).md-input-has-value label:not(.md-no-float) {
            color: $gray57c;
        }
    }

    &__footer {
        margin-top: 20px;

        &-actions {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            .md-button {
                &._test-integration {
                    margin-left: 0;
                    margin-right: auto;
                }
            }

            .md-button + .md-button {
                margin-left: 16px;
            }
        }
        &-messages {
            min-height: 88px;
        }
        &-message {
            color: $gray57c;
            display: flex;
            margin-top: 8px;

            &._connected {
                color: $green-new;
            }
            &._failed {
                color: #DE8500;
            }

            &-icon {
                &,
                &.material-icons {
                    flex: none;
                    margin: 0 8px 0 0;
                    font-size: 16px;
                    line-height: 16px;
                    height: 16px;
                    width: 16px;
                    min-height: 16px;
                    min-width: 16px;
                    color: currentColor;
                }
            }
            &-text {
                font-size: 11px;
                line-height: 16px;
                flex: auto;
                &:not(:last-of-type) {
                    margin: 0 0 .5em;
                }
            }

            md-progress-circular {
                path {
                    stroke: #C4C4C4;
                }
            }
        }
    }
    &__icon {
        position: relative;
        margin-right: 24px;
        flex: 0 0 40px;
        &-label {
            position: absolute;
            top: -20px;
            left: 0;
            font-size: 11px;
            letter-spacing: 0.1px;
            color: $gray57c;
            white-space: nowrap;
        }
        &-image {
            width: 36px;
            height: 36px;
            & .profile-hovered {
                background-color: $gray3e5 !important;
                color: $gray8be !important;
                border-radius: 4px !important;

                & svg {
                    fill: $gray8be;
                }
            }
            &:hover {
                & .slack-form__icon-image-container {
                    display: flex;
                }
            }
            &-container {
                display: none;
                width: 100%;
                height: 100%;
                align-items: center;
                justify-content: center;

                & .material-icons {
                    color: $white;
                }
            }
        }
    }
    &__wrapper {
        display: flex;
        flex-wrap: nowrap;
        align-items: center;
    }
}
